package interfaz;

import java.awt.Frame;
import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JPanel;

import java.awt.Color;
import java.awt.GridBagLayout;
import java.awt.BorderLayout;
import javax.swing.JLabel;
import java.awt.GridBagConstraints;
import javax.swing.JButton;
import java.awt.Dimension;
import java.awt.Insets;
import javax.swing.BorderFactory;
import java.awt.Rectangle;
import java.awt.Font;

public class Ayuda extends JDialog {

	private static final long serialVersionUID = 1L;
	private Principal padrePrincipal;
	private JPanel jPanel = null;
	private JPanel jPanel1 = null;
	private JPanel jPanel2 = null;
	private JLabel jLabel = null;
	private JPanel jPanel3 = null;
	private JLabel jLabel1 = null;
	private JLabel jLabel11 = null;
	private JLabel jLabel111 = null;
	private JLabel jLabel2 = null;
	private JLabel jLabel21 = null;
	private JLabel jLabel3 = null;
	private JLabel jLabel31 = null;
	private JLabel jLabel1111 = null;
	private JLabel jLabel11111 = null;
	private JLabel jLabel111111 = null;
	private JLabel jLabel22 = null;
	private JLabel jLabel311 = null;
	private JLabel jLabel3111 = null;
	/**
	 * @param owner
	 */
	public Ayuda(Principal owner) {
		super(owner);
		padrePrincipal=owner;
		initialize();
		
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(703, 386);
		this.setContentPane(getJPanel());
		if (padrePrincipal.idioma.equals("español"))
			this.setTitle("Ayuda");
		else
			this.setTitle("Help");
		this.addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				Ayuda.this.dispose();
			}
		});
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel() {
		if (jPanel == null) {
			jPanel = new JPanel();
			jPanel.setLayout(new BorderLayout());
			jPanel.add(getJPanel1(), BorderLayout.WEST);
			jPanel.add(getJPanel2(), BorderLayout.CENTER);
		}
		return jPanel;
	}

	/**
	 * This method initializes jPanel1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel1() {
		if (jPanel1 == null) {
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.ipadx = 0;
			gridBagConstraints1.insets = new Insets(0, 0, 0, 0);
			gridBagConstraints1.gridwidth = 1;
			jLabel = new JLabel();
			jLabel.setText("");
			jLabel.setIcon(new ImageIcon("./src/Imagenes/logoUPV.gif"));
			jPanel1 = new JPanel();
			jPanel1.setLayout(new GridBagLayout());
			jPanel1.setPreferredSize(new Dimension(346, 347));
			jPanel1.add(jLabel, gridBagConstraints1);
		}
		return jPanel1;
	}

	/**
	 * This method initializes jPanel2	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel2() {
		if (jPanel2 == null) {
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.gridx = 0;
			gridBagConstraints.ipadx = 245;
			gridBagConstraints.ipady = 262;
			gridBagConstraints.insets = new Insets(0, 0, 13, 0);
			gridBagConstraints.fill = GridBagConstraints.BOTH;
			gridBagConstraints.gridwidth = 2;
			gridBagConstraints.gridheight = 2;
			gridBagConstraints.anchor = GridBagConstraints.SOUTH;
			gridBagConstraints.gridy = 0;
			jPanel2 = new JPanel();
			jPanel2.setLayout(new GridBagLayout());
			jPanel2.add(getJPanel3(), gridBagConstraints);
		}
		return jPanel2;
	}

	/**
	 * This method initializes jPanel3	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getJPanel3() {
		if (jPanel3 == null) {
			jLabel3111 = new JLabel();
			jLabel3111.setBounds(new Rectangle(20, 81, 215, 15));
			if (padrePrincipal.idioma.equals("español"))
				jLabel3111.setText("con las tecnologías de la información");
			else
				jLabel3111.setText("with information technologies");
			jLabel311 = new JLabel();
			jLabel311.setBounds(new Rectangle(20, 67, 213, 15));
			if (padrePrincipal.idioma.equals("español"))
				jLabel311.setText("estrategia de negocio y su alineación");
			else
				jLabel311.setText("strategy and his alignment");
			jLabel22 = new JLabel();
			jLabel22.setBounds(new Rectangle(20, 236, 221, 16));
			if (padrePrincipal.idioma.equals("español"))
				jLabel22.setText("Ingeniería Informática");
			else
				jLabel22.setText("Computer Engineering");
			jLabel111111 = new JLabel();
			jLabel111111.setBounds(new Rectangle(20, 178, 214, 16));
			if (padrePrincipal.idioma.equals("español"))
				jLabel111111.setText("de datos HSQBLDB");
			else
				jLabel111111.setText("support");
			jLabel11111 = new JLabel();
			jLabel11111.setBounds(new Rectangle(20, 163, 206, 16));
			if (padrePrincipal.idioma.equals("español"))
				jLabel11111.setText("el lenguaje java y el soporte de base");
			else
				jLabel11111.setText("Java language and HSQLDB database");
			jLabel1111 = new JLabel();
			jLabel1111.setBounds(new Rectangle(20, 150, 206, 14));
			if (padrePrincipal.idioma.equals("español"))
				jLabel1111.setText("Desarrollado con el entorno Eclipse,");
			else
				jLabel1111.setText("Developed with Eclipse environment,");
			jLabel31 = new JLabel();
			jLabel31.setBounds(new Rectangle(20, 51, 211, 17));
			if (padrePrincipal.idioma.equals("español"))
				jLabel31.setText("de marcos de trabajo orientados a la");
			else
				jLabel31.setText("oriented to business");
			jLabel3 = new JLabel();
			jLabel3.setBounds(new Rectangle(20, 37, 218, 15));
			if (padrePrincipal.idioma.equals("español"))
				jLabel3.setText("Herramienta de edición de modelos");
			else
				jLabel3.setText("Framework Model Editing tool");
			jLabel21 = new JLabel();
			jLabel21.setBounds(new Rectangle(20, 207, 205, 15));
			if (padrePrincipal.idioma.equals("español"))
				jLabel21.setText("Universidad Politécnica de Valencia");
			else
				jLabel21.setText("Valencia Politechnic University");
			jLabel2 = new JLabel();
			jLabel2.setBounds(new Rectangle(20, 221, 199, 16));
			if (padrePrincipal.idioma.equals("español"))
				jLabel2.setText("Escuela Técnica Superior de");
			else
				jLabel2.setText("Technical top school of");
			jLabel111 = new JLabel();
			jLabel111.setBounds(new Rectangle(20, 121, 208, 17));
			if (padrePrincipal.idioma.equals("español"))
				jLabel111.setText("Óscar Marcos Ferrer (2010-2012)");
			else
				jLabel111.setText("Oscar Marcos Ferrer (2010-2012)");
			jLabel11 = new JLabel();
			jLabel11.setBounds(new Rectangle(20, 108, 201, 14));
			if (padrePrincipal.idioma.equals("español"))
				jLabel11.setText("Creado por:");
			else
				jLabel11.setText("Created by:");
			jLabel1 = new JLabel();
			if (padrePrincipal.idioma.equals("español"))
				jLabel1.setText("PROYECTO FINAL DE CARRERA");
			else
				jLabel1.setText("FINAL PROJECT");
			jLabel1.setFont(new Font("Dialog", Font.BOLD, 12));
			jLabel1.setBounds(new Rectangle(21, 10, 240, 16));
			jPanel3 = new JPanel();
			jPanel3.setLayout(null);
			jPanel3.setBorder(BorderFactory.createLineBorder(Color.lightGray, 1));
			jPanel3.add(jLabel1, null);
			jPanel3.add(jLabel11, null);
			jPanel3.add(jLabel111, null);
			jPanel3.add(jLabel2, null);
			jPanel3.add(jLabel21, null);
			jPanel3.add(jLabel3, null);
			jPanel3.add(jLabel31, null);
			jPanel3.add(jLabel1111, null);
			jPanel3.add(jLabel11111, null);
			jPanel3.add(jLabel111111, null);
			jPanel3.add(jLabel22, null);
			jPanel3.add(jLabel311, null);
			jPanel3.add(jLabel3111, null);
		}
		return jPanel3;
	}

	/**
	 * This method initializes jPanel	
	 * 	
	 * @return javax.swing.JPanel	
	 */

}  //  @jve:decl-index=0:visual-constraint="10,10"
